<template>
    <div class="content__leftAnalitika">
        <faq-form :item="item" @submit="save" v-if="item"/>
    </div>
</template>

<script>
import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";
import {mapGetters} from "vuex";
import FaqForm from "../components/faq_items/FaqForm";

export default {
    name: "FaqEdit",
    mixins: [laravelValidationErrorParse],
    props: {
        id: {
            required: true,
            type: String|Number
        }
    },
    data() {
        return {
            item: undefined
        }
    },
    computed: {
        ...mapGetters([
            'axios'
        ]),
    },
    methods: {
        load() {
            this.axios
                .get(`faq_items/${this.id}`)
                .then(resp => resp.data)
                .then(item => this.item = item);
        },
        save(formData) {
            this.axios
                .post(`faq_items/${this.id}`, formData)
                .then(resp => resp.data)
                .then(data => {
                    if ('success' === data.status) {
                        this.$swal(this.$t('ui.success'));
                    } else {
                        this.$swal(this.$t('ui.error'), data.message, 'error')
                    }
                })
                .catch((error) => {
                    this.displayErrorsSwal(error);
                });
        }
    },
    mounted() {
        this.load();
    },
    components: {
        FaqForm
    }
}
</script>

<style scoped>

</style>
